USERDEL(8)

NOM
userdel - supprimer un compte utilisateur et les fichiers associés

SYNOPSIS

userdel [options] LOGIN

DESCRIPTION

The userdel command modifies the system account files, deleting all entries that refer to the user name LOGIN. The named user must exist.

OPTIONS

The options which apply to the userdel command are:

-f, --force
    This option forces the removal of the user account, even if the user is still logged in. It also forces userdel to remove the user's home directory and mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user. If USERGROUPS_ENAB is defined to yes in /etc/login.defs and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user.

    Note: This option is dangerous and may leave your system in an inconsistent state.

-h, --help
    Afficher un message d'aide et quitter.

-r, --remove
    Les fichiers présents dans le répertoire personnel de l'utilisateur seront supprimés en même temps que le répertoire lui-même, ainsi que le répertoire d'attente des courriels. Vous devrez rechercher et éliminer vous-même les fichiers situés dans d'autres systèmes de fichiers.

    The mail spool is defined by the MAIL_DIR variable in the login.defs file.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-Z, --selinux-user
    Élimine toute association avec tout utilisateur SELinux pour la connexion de l'utilisateur.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (string)
    Définir l'emplacement des boîtes aux lettres des utilisateurs relativement à leur répertoire personnel.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

USERDEL_CMD (string)
    Si définie, la commande est exécutée lors de la suppression d'un utilisateur. Elle pourra supprimer toutes les tâches périodiques cron ou at, tous les travaux d'impression, etc. de l'utilisateur (qui sera fourni comme premier paramètre).

    Le code de retour du script n'est pas pris en compte.

    Here is an example script, which removes the user's cron, at and print jobs:

        #! /bin/sh
        # Check for the required argument.
        if [ $# != 1 ]; then
        	echo "Usage: $0 username"
        	exit 1
        fi
        # Remove cron jobs.
        crontab -r -u $1
        # Remove at jobs.
        # Note that it will remove any jobs owned by the same UID,
        # even if it was shared by a different username.
        AT_SPOOL_DIR=/var/spool/cron/atjobs
        find $AT_SPOOL_DIR -name "[^.]*" -type f -user $1 -delete \;
        # Remove print jobs.
        lprm $1
        # All done.
        exit 0

USERGROUPS_ENAB (boolean)
    Activer la mise en place de bits de masque de groupe (« umask group bits ») identiques à ceux du propriétaire (exemple : 022 -> 002, 077 -> 007) pour les utilisateurs non privilégiés, si l'UID est identique au GID et que l'identifiant de connexion est identique au groupe principal.

    If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/subgid
    Per user subordinate group IDs.

/etc/subuid
    Per user subordinate user IDs.

VALEURS DE RETOUR

The userdel command exits with the following values:

0
    success

1
    can't update password file

2
    invalid command syntax

6
    specified user doesn't exist

8
    user currently logged in

10
    can't update group file

12
    can't remove home directory

AVERTISSEMENTS

userdel will not allow you to remove an account if there are running processes which belong to this account. In that case, you may have to kill those processes or lock the user's password or account and remove the account later. The -f option can force the deletion of this account.

Vous devez vérifier vous-même qu'aucun fichier possédé par l'utilisateur ne subsiste sur tous les systèmes de fichiers.

Vous ne pouvez supprimer aucun attribut NIS d'un client NIS. Cela doit être effectué sur le serveur NIS.

If USERGROUPS_ENAB is defined to yes in /etc/login.defs, userdel will delete the group with the same name as the user. To avoid inconsistencies in the passwd and group databases, userdel will check that this group is not used as a primary group for another user, and will just warn without deleting the group otherwise. The -f option can force the deletion of this group.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), subgid(5), subuid(5),useradd(8), usermod(8).